Subject: bug#76130: closed (Re: bug#76130: 'herd status' cannot handle inaccessible logfiles (shepherd 1.0.1))

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Feb 2025 22:00:03 +0000

Your bug report

#76130: 'herd status' cannot handle inaccessible logfiles (shepherd 1.0.1)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76130: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76130
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76130: 'herd status' cannot handle inaccessible logfiles (shepherd 1.0.1)
From: Ludovic Courtès <[email-masked]>
To: Andrew Wong <[email-masked]>
Cc: [email-masked]
Date: Sat, 08 Feb 2025 22:58:59 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Andrew,

Andrew Wong <[email-masked]> skribis:

> I've found a bug in shepherd 1.0.1. When a service has a log file in
> an 'inaccessible' location, e.g. a home service logging to /var/log,
> it causes 'herd status $service' to hang, as well as the overall 'herd
> service' command. I found it with this service[1] which silently
> failed to log, I guess, until I updated shepherd and found this bug.

Good catch.  This is fixed by cd6d35fe8adf5baaeb50adf2a96662fb30382eca,
which will be in 1.0.2, to be released in the coming days.

Thank you!

Ludo’.

Subject: 'herd status' cannot handle inaccessible logfiles (shepherd 1.0.1)
From: Andrew Wong <[email-masked]>
To: [email-masked]
Date: Fri, 7 Feb 2025 15:29:25 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I've found a bug in shepherd 1.0.1. When a service has a log file in an 
'inaccessible' location, e.g. a home service logging to /var/log, it 
causes 'herd status $service' to hang, as well as the overall 'herd 
service' command. I found it with this service[1] which silently failed 
to log, I guess, until I updated shepherd and found this bug.

[1]:

(service home-shepherd-service-type
         (home-shepherd-configuration
          (services
           (list
            (shepherd-service
         (provision '(emacs))
         (start #~(make-forkexec-constructor
               (list #$(file-append emacs-pgtk-xwidgets "/bin/emacs")
                 "--fg-daemon")
               #:log-file "/var/log/emacs.log"))
         (stop #~(make-kill-destructor)))))))